Terminology - Classify Condition
Classifies a condition, problem, or diagnosis.
Guides
See the Programming Guide for general Terminology API information.
Endpoints
POST /terminology/v1/classify/condition
POST /terminology/v1/classify/condition/batch
The body specifies the input coding. See the Classify API Overview for details.
Supported Code Systems
The input must be from one of the following code systems:
- ICD-10-CM
- ICD-9-CM-Diagnosis
- SNOMED
Note
Conditions are classified using ICD-10-CM. For best results, provide the most specific ICD10 coding for the condition. Classify operations may not return values for data using other code systems.
Body Parameters
system
string
(required)
The source code system (as a name or URL).
| Header |
Value |
x-api-key |
YOUR_API_KEY, obtained from the Developer Portal |
content-type |
application/json |
accept |
application/json |
Output
The output provides a set of classifications based on domain. See the Classify API Overview for details.
ccsrCategory
CodeableConcept
Element Fields
ccsrCategory.coding
collection
Element Fields
ccsrCategory.coding[n].code
string
ccsrCategory.coding[n].system
string
The source code system (as a URL).
ccsrCategory.coding[n].display
string
ccsrDefaultInpatient
Coding
Child Fields
ccsrDefaultInpatient.code
string
ccsrDefaultInpatient.system
string
The source code system (as a URL).
ccsrDefaultInpatient.display
string
ccsrDefaultOutpatient
Coding
Child Fields
ccsrDefaultOutpatient.code
string
ccsrDefaultOutpatient.system
string
The source code system (as a URL).
ccsrDefaultOutpatient.display
string
hccCategory
CodeableConcept
Medicare Risk Adjustment category based on latest version of ICD10 grouping system from CMS.
Element Fields
hccCategory.coding
collection
Element Fields
hccCategory.coding[n].code
string
hccCategory.coding[n].system
string
The source code system (as a URL).
hccCategory.coding[n].display
string
behavioral
boolean
Indicator of behavioral and mental health-related conditions based on grouping multiple CCSR categories.
substance
boolean
Indicator of substance use and abuse-related conditions based on grouping multiple CCSR categories.
socialDeterminant
boolean
Indicator of social determinants of health based on grouping multiple CCSR categories.
covid19Condition
string (categorical)
One of: Confirmed, Suspected, Exposure, Encounter, SignsAndSymptoms, NonspecificRespiratoryViralInfection. Based on proprietary value sets developed from WHO, CDC, SNOMED, and AMA coding advisories.
Details
The following sections provide additional details about the message handling.
Batch Mode
For batch mode, specify the body parameters in the items field, as explained in Batch Operations. The output data will then contain an items array with the usual classify output for each item.
Example
Sample Classify Input
{
"code": "J45.50",
"system": "ICD-10-CM"
}
Sample Classify Response
{
"ccsrCategory": {
"coding": [
{
"system": "CCSR Category",
"code": "RSP009",
"display": "Asthma"
}
]
},
"ccsrDefaultInpatient": {
"system": "Default CCSR Category",
"code": "RSP009",
"display": "Asthma"
},
"ccsrDefaultOutpatient": {
"system": "Default Outpatient CCSR Category",
"code": "RSP009",
"display": "Asthma"
},
"cciAcute": false,
"cciChronic": true,
"hccCategoryLatest": null,
"behavioral": false,
"substance": false,
"socialDeterminant": false,
"covid19Condition": null
}
For additional examples, or to try out the API live, see the Developer Portal Sandbox